
%if 0%{?fedora} > 18
%global ruby_release 1
%endif

%if 0%{?fedora} == 17 || 0%{?fedora} == 18
%global ruby_abi 1.9.1
%endif

%if 0%{?fedora} < 17
%global ruby_abi 1.8
%global ruby_vendorlibdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%global ruby_vendorarchdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')
%endif

%if 0%{?rhel} == 6
%define cmake_pkg cmake28
%else
%define cmake_pkg cmake
%endif

Summary: Ruby bindings for Qt 4
Name:    ruby-qt
Version: 4.11.5
Release: 1%{?dist}

License: LGPLv2+
URL:     https://projects.kde.org/projects/kde/kdebindings/ruby/qtruby
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/qtruby-%{version}.tar.xz

BuildRequires: %{cmake_pkg}
BuildRequires: pkgconfig(phonon)
BuildRequires: pkgconfig(qimageblitz)
BuildRequires: pkgconfig(QtCore) pkgconfig(QtScript) pkgconfig(QtTest) pkgconfig(QtUiTools)
BuildRequires: pkgconfig(QtWebKit)
BuildRequires: ruby-devel ruby
BuildRequires: qscintilla-devel
BuildRequires: qwt5-qt4-devel
BuildRequires: smokeqt-devel >= %{version}

Obsoletes: QtRuby < 4.7.0
Provides: QtRuby = %{version}-%{release}
Provides: QtRuby4 = %{version}-%{release}
Provides: ruby(qt) = %{version}
Provides: qtruby = %{version}-%{release}
Provides: qtruby%{?_isa} = %{version}-%{release}

%{?ruby_abi:Requires: ruby(abi) = %{ruby_abi}}
%{?ruby_release:Requires: ruby(release)}
%{?_qt4:Requires: qt4%{?_isa} >= %{_qt4_version}}
Requires: smokeqt%{?_isa} >= %{version}

%description
This package includes ruby bindings for Qt 4.

%package devel
Summary: Development files for QtRuby
Requires: %{name}%{?_isa} = %{version}-%{release}
Obsoletes: QtRuby-devel < 4.7.0
Provides: QtRuby-devel = %{version}-%{release}
Provides: QtRuby4-devel = %{version}-%{release}
Provides: qtruby-devel = %{version}-%{release}
%description devel
This package includes the header files you will need to compile
applications for Qt 4.

%package examples
Summary: Programming examples for %{name}
Requires: %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
%description examples
%{summary}.


%prep
%setup -q -n qtruby-%{version}
 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{?cmake28}%{!?cmake28:%{?cmake}} \
  -DCUSTOM_RUBY_SITE_ARCH_DIR:PATH=%{ruby_vendorarchdir} \
  -DCUSTOM_RUBY_SITE_LIB_DIR:PATH=%{ruby_vendorlibdir} \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}
 

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
 

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
 
%files
%doc AUTHORS COPYING COPYING.LIB ChangeLog INSTALL README
%{_libdir}/libqtruby4shared.so.2*
%{ruby_vendorarchdir}/*.so
%{ruby_vendorlibdir}/phonon/
%{ruby_vendorlibdir}/qscintilla/
%{ruby_vendorlibdir}/qtdeclarative/
%{ruby_vendorlibdir}/qwt/
%{ruby_vendorlibdir}/Qt/
%{ruby_vendorlibdir}/Qt*.rb
%{ruby_vendorlibdir}/qtscript/
%{ruby_vendorlibdir}/qttest/
%{ruby_vendorlibdir}/qtuitools/
%{ruby_vendorlibdir}/qtwebkit/

%files devel
%{_bindir}/rbqtapi
%{_bindir}/rbrcc
%{_bindir}/rbuic4
%dir %{_datadir}/qtruby4/
%{_datadir}/qtruby4/cmake/
%{_libdir}/libqtruby4shared.so
%{_includedir}/qtruby/

%files examples
%doc examples


%changelog
* Fri Jan 03 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.11.5-1
- 4.11.5

* Fri Dec 13 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.4-1
- 4.11.4

* Fri Nov 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Tue Sep 03 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Thu Aug 08 2013 Than Ngo <than@redhat.com> - 4.11.0-1
- 4.11.0

* Thu Jul 25 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.97-1
- 4.10.97

* Tue Jul 23 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.95-1
- 4.10.95

* Thu Jun 27 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.90-1
- 4.10.90

* Sat Jun 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.4-1
- 4.10.4

* Mon May 06 2013 Than Ngo <than@redhat.com> - 4.10.3-1
- 4.10.3

* Sun Mar 31 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.2-1
- 4.10.2

* Wed Mar 13 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.1-2
- update for ruby2 guidelines (f19+)

* Sat Mar 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.1-1
- 4.10.1

* Fri Feb 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.0-1
- 4.10.0

* Sun Jan 20 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.9.98-1
- 4.9.98

* Fri Jan 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.9.97-1
- 4.9.97

* Thu Dec 20 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.95-1
- 4.9.95

* Mon Dec 17 2012 Rex Dieter <rdieter@fedoraproject.org> 4.9.90-2
- rebuild (qcsintilla)

* Tue Dec 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.90-1
- 4.9.90

* Sat Nov 03 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.3-1
- 4.9.3

* Fri Sep 28 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.2-1
- 4.9.2

* Mon Sep 03 2012 Than Ngo <than@redhat.com> - 4.9.1-1
- 4.9.1

* Thu Aug 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.0-2
- cleaner ruby macro usage wrt vendor/site dirs
- s/qwt-devel/qwt5-qt4/

* Thu Jul 26 2012 Lukas Tinkl <ltinkl@redhat.com> - 4.9.0-1
- 4.9.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 11 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.97-1
- 4.8.97

* Wed Jun 27 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.95-1
- 4.8.95

* Sat Jun 09 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.90-1
- 4.8.90

* Tue May 29 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.80-1
- 4.8.80

* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Tue Mar 06 2012 Radek Novacek <rnovacek@redhat.com> 4.8.1-1
- 4.8.1

* Wed Feb 08 2012 Jaroslav Reznik <jreznik@redhat.com> 4.8.0-3
- proper rebuild for ruby-1.9.x (use ruby macros for dirs)

* Tue Feb 07 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.0-2
- rebuild for ruby-1.9.x (f17)

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.7.97-1
- 4.7.97

* Sat Dec 24 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.95-2
- rebuild (qscintilla)

* Thu Dec 22 2011 Radek Novacek <rnovacek@redhat.com> - 4.7.95-1
- 4.7.95

* Tue Dec 20 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-1
- 4.7.90

* Tue Sep 06 2011 Than Ngo <than@redhat.com> - 4.7.1-1
- 4.7.1

* Tue Aug 02 2011 Than Ngo <than@redhat.com> - 4.7.0-1
- 4.7.0
